%define         srcname       separate+
%define         moname        gimp20-separate
%define         plugindir     %{_libdir}/gimp/2.0/plug-ins


Name:           gimp-plugin-separate
Version:        0.5.8
Release:        %mkrel 2
Summary:        CYMK plugins for the GIMP graphic editor
License:        GPLv2+
Group:          Graphics/Editors and Converters

URL:            http://cue.yellowmagic.info/softwares/separate-plus/index.html
Source0:        http://sourceforge.jp/projects/separate-plus/downloads/47873/%{srcname}-%{version}.zip


BuildRequires:  gimp-devel
BuildRequires:  gtk+2-devel
BuildRequires:  lcms-devel
BuildRequires:  jpeg-devel
BuildRequires:  tiff-devel
Requires:       gimp >= 2.6.0

Provides:       %{srcname} = %{version}

%description
Separate+ is a project and plug-ins package aimed mainly for
complementing color management functionality of GIMP and for assisting
publication (Web, printing etc.) activities by utilizing open source
software. This package includes three plug-ins: a plug-in for RGB to
CMYK conversion, saving and soft-proofing; a plug-in for RGB to RGB
conversion and profile management, and finally a plug-in for importing
CMYK TIFF files.


%prep
%setup -q  -n %{srcname}-%{version}


%build
%make CM="-DENABLE_COLOR_MANAGEMENT %optflags" \
      LDFLAGS="%ldflags" TIFF_LIB="-ltiff" JPEG_LIB="-ljpeg -lm"
      


%install
%makeinstall_std INSTALLDIR="%{buildroot}/%{plugindir}" \
      LOCALEDIR="%{buildroot}/%{_datadir}/locale"
%find_lang %{moname}



%files -f %{moname}.lang
%doc README README_ICC_COLORSPACE
%plugindir/separate
%plugindir/separate_import
%plugindir/icc_colorspace



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.5.8-2.mga3
+ Revision: 351561
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Thu Dec 06 2012 eatdirt <eatdirt> 0.5.8-1.mga3
+ Revision: 327600
- imported package gimp-plugin-separate

